Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.sexpr
Interface Readtable

All Known Implementing Classes:
  SimpleReadtable

public abstract interface Readtable

An interface for read tables.

Method Summary
`SExprParser` | `addParser(char key, SExprParser parser)` Associate a parser with the key dispatch character.
`SExprParser` | `getParser(char key)` Find the parser associated with the key dispatch character.

Method Detail

### getParser

    public SExprParser getParser(char key)

  Find the parser associated with the key dispatch character.

### addParser

    public SExprParser addParser(char key,
                                 SExprParser parser)

  Associate a parser with the key dispatch character.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD